microsoft-foundry.rest.security.o-auth2-auth
Models
Get model asset credentials
POST
/models/{name}/versions/{version}/credentials
Retrieves temporary credentials for accessing the storage backing the specified model version.
쿼리 매개 변수
api-version
string
필수
The API version to use for this operation.
헤더 매개 변수
Foundry-Features
enum
필수
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Models=V1Preview
경로 매개 변수
name
string
필수
Name of the model.
version
string
필수
Version of the model.
요청 본문
The credential request request body.
Content-Type: application/json
blobUri
string
필수
Blob URI of the model asset to fetch credentials for.
응답
The request has succeeded.
본문
Content-Type: application/json
blobReference
BlobReference
필수
Blob reference details.
blobUri
string
필수
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
필수
ARM ID of the storage account to use.
credential
SasCredential
필수
SAS Credential definition
sasUri
string
필수
SAS uri
type
enum
필수
Type of credential
SAS
요청
POST /models/{name}/versions/{version}/credentials HTTP/1.1
응답
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json